Spaces ->
Arg Dest : &String, 
    Src : String

Dest <- Src ..

Dest <- Dest, '(', ' ('
Dest <- Dest, ',', ', '
Dest <- Dest, ';', '; '
Dest <- Dest, ':', ': '
Dest <- Dest, '.', '. '

Dest <- Dest, '. . . ', '... '

Dest <- Dest, '--', ' - '
Dest <- Dest, '- ', ' - '
Dest <- Dest, ' -', ' - '

Do Dest <- Dest, '  ', ' '
While Dest, '  '

/